Subject: b19 who -- Here's a workaround for slow response time.
From: [email-masked] (Bruce N. Hunsaker)

2 Mar 1998 20:47:03 -0800
Message-ID: <[email-masked]>
Content-Type: text
To: [email-masked]

I traced the problem with 'who' being slow to a call 
to 'gethostbyname()'. On my system, the hostname
it is trying to resolve is 'local', which it is
getting from the 'utmp' file.  Why the file is
being written with 'local' rather than 'localhost',
I don't know, but I fixed the problems by adding an
entry for 'local' in my /winnt/system32/drivers/etc/hosts
file. (Actually I just changed the line that read:
	127.0.0.1	localhost
to:
	127.0.0.1	localhost local

I also see this problem for some other valid hostnames, that for
some reason take a very long time to resolve here. These can
also be fixed by adding entries into the above file, but since
we are using DHCP here, that is not a real solution, as 
ip addresses could change often.

There is an additional problem with 'who'.  I will get
output of the form:

	free_tty: Count < 0
when who encounters an entry in the utmp file for a
tty that is not in use.  This message is coming from
a call to stat().  Perhaps this is debug output that
inadvertently got left in the code?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".